# synfig::Matrix Class Reference

`#include <matrix.h>`

List of all members.

## Public Types

typedef Real | value_type

## Public Member Functions

| Matrix ()
| Deafult constructor makes a identity matrix.
| Matrix (const Angle &a)
| Constructor from Angle create a rotate matrix.
Matrix & | set_identity ()
| set_identity member. Set an identity matrix
Matrix & | set_scale (const value_type &sx, const value_type &sy)
Matrix & | set_rotate (const Angle &a)
Matrix & | set_translate (const Vector &t)
Vector | get_transformed (const Vector &v)
Matrix | operator* (const Matrix &rhs)
Matrix | operator*= (const value_type &rhs)
Matrix | operator+= (const Matrix &rhs)
Matrix | operator* (const value_type &rhs)
Matrix | operator+ (const Matrix &rhs)

## Detailed Description

Todo:
  writeme

## Member Typedef Documentation

typedef Real synfig::Matrix::value_type

## Constructor & Destructor Documentation

synfig::Matrix::Matrix | ( |  | ) | `[inline]`

Deafult constructor makes a identity matrix.

Referenced by operator*(), and operator+().

synfig::Matrix::Matrix | ( | const Angle & | a | ) | `[inline]`

Constructor from Angle create a rotate matrix.

## Member Function Documentation

Matrix& synfig::Matrix::set_identity | ( |  | ) | `[inline]`

set_identity member. Set an identity matrix

Matrix& synfig::Matrix::set_scale | ( | const value_type & | sx,
|  | const value_type & | sy |
| ) |  |  | `[inline]`

set_scale member fucntion. Sets a scale matrix

Parameters:

  | sx | Scale by X axis
  | sy | Scale by Y axis

Returns:
  A matrix reference filled with the sx, sy values

Matrix& synfig::Matrix::set_rotate | ( | const Angle & | a | ) | `[inline]`

set_rotate member function. Sets a rotate matrix

Parameters:

  | a | Rotation angle counterclock wise

Returns:
  A matrix reference filled with the proper rotation parameters

Matrix& synfig::Matrix::set_translate | ( | const Vector & | t | ) | `[inline]`

traslate member function. Sets a translate matrix

Parameters:

  | t | Vector that defines the translation

Returns:
  A matrix reference filled with the proper translation parameters

Vector synfig::Matrix::get_transformed | ( | const Vector & | v | ) | `[inline]`

get_transformed member function.

Parameters:

  | v | 2D Vector to transform

Returns:
  The Vector result

Matrix synfig::Matrix::operator* | ( | const Matrix & | rhs | ) | `[inline]`

operator *. Multiplication of one matrix by other

Parameters:

  | rhs | the right hand side of the multiplication operation

Returns:
  the resulting multiplication matrix

References m00, m01, m02, m10, m11, m12, m20, m21, and m22.

Matrix synfig::Matrix::operator*= | ( | const value_type & | rhs | ) | `[inline]`

operator *=. Multiplication and assign of one matrix by a number

Parameters:

  | rhs | the number to multiply by

Returns:
  the modifed resulting multiplicated by number matrix

Matrix synfig::Matrix::operator+= | ( | const Matrix & | rhs | ) | `[inline]`

operator +=. Sum and assign of two matrixes

Parameters:

  | rhs | the matrix to sum

Returns:
  modified matrix with the summed matrix

References m00, m01, m02, m10, m11, m12, m20, m21, and m22.

Matrix synfig::Matrix::operator* | ( | const value_type & | rhs | ) | `[inline]`

operator *. Multiplication of one matrix by a number

Parameters:

  | rhs | the number to multiply by

Returns:
  the resulting multiplicated by number matrix

References Matrix().

Matrix synfig::Matrix::operator+ | ( | const Matrix & | rhs | ) | `[inline]`

operator +=. Sum and assign of two matrixes

Parameters:

  | rhs | the matrix to sum

Returns:
  modified matrix with the summed matrix

References Matrix().

The documentation for this class was generated from the following file:

- matrix.h